libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
SyncML Authentication Object
libsyncml Object API

The public part. More...

Collaboration diagram for SyncML Authentication Object:

## Typedefs

typedef struct SmlAuthenticator | SmlAuthenticator
typedef SmlBool(* | SmlAuthVerifyCb )(SmlChal *chal, SmlCred *cred, const char *username, void *userdata, SmlError **error)

## Functions

SmlAuthenticator * | smlAuthNew (SmlError **error)
void | smlAuthFree (SmlAuthenticator *auth)
SmlBool | smlAuthRegister (SmlAuthenticator *auth, SmlManager *manager, SmlError **error)
void | smlAuthSetState (SmlAuthenticator *auth, SmlErrorType type)
void | smlAuthSetVerifyCallback (SmlAuthenticator *auth, SmlAuthVerifyCb callback, void *userdata)
void | smlAuthSetEnable (SmlAuthenticator *auth, SmlBool enabled)
SmlBool | smlAuthIsEnabled (SmlAuthenticator *auth)
SmlBool | smlAuthVerify (SmlChal *chal, SmlCred *cred, const char *username, const char *password, SmlError **error)
void | smlAuthSetType (SmlAuthenticator *auth, SmlAuthType code)
SmlStatus * | smlAuthHeaderReply (SmlSession *session, SmlAuthType code, SmlError **error) LIBSYNCML_DEPRECATED

## Detailed Description

The public part.